STRUCT POP_BACK(3)

NAME
boost::proto::functional::pop_back - A PolymorphicFunctionObject type that invokes the fusion::pop_back() algorithm on its argument.

SYNOPSIS

// In header: <boost/proto/functional/fusion/pop_back.hpp>
struct pop_back :  proto::callable {
  // member classes/structs/unions
  template<typename This, typename Seq>
  struct result<This(Seq)> :  result< This(Seq const &) > {
  };
  template<typename This, typename Seq>
  struct result<This(Seq &)> :  fusion::result_of::pop_back< Seq > {
  };
  // public member functions
  template<typename Seq>
    typename fusion::result_of::pop_back< Seq >::type operator()(Seq &) const;
  template<typename Seq>
    typename fusion::result_of::pop_back< Seq const >::type
    operator()(Seq const &) const;
};

DESCRIPTION

A PolymorphicFunctionObject type that invokes the fusion::pop_back() algorithm on its argument.

  pop_back public member functions

    1.

    template<typename Seq>
      typename fusion::result_of::pop_back< Seq >::type
      operator()(Seq & seq) const;

    Returns:
        fusion::pop_back(seq)

    2.

    template<typename Seq>
      typename fusion::result_of::pop_back< Seq const >::type
      operator()(Seq const & seq) const;

    Returns:
        fusion::pop_back(seq)